Subject: [core] Media type text/html?

From: Kerry Lynn <[email-masked]>
Date: Tue, 25 Jun 2013 14:12:53 -0400

Pardon me if this is a dumb question.

We have taken pains in the draft to define proxies and now have a WG draft
describing CoAP/HTTP mapping best practices.

However, the simplest method of connecting a coap server through a cross-
proxy to the world as it exists today is to define a browser's natural
media type:
"text/html".  Some (most?) browsers will not render text/plain.

It seems this was removed in response to Cullen's <rant/>:
http://www.ietf.org/mail-archive/web/core/current/msg01048.html where he
largely talks about "application/8bit" as being useless for determining the
format of a resource (which I agree with).

Was "text/html" removed for a good reason, or did we take issue #76
http://tools.ietf.org/wg/core/trac/ticket/76 a bit too literally?

-K-